# Created by pyp2rpm-3.3.2
%global pypi_name sphinx-bootstrap-theme

Name:           python-%{pypi_name}
Version:        0.8.1
Release:        %mkrel 4
Summary:        Sphinx Bootstrap Theme
Group:          Development/Python
License:        None
URL:            http://ryan-roemer.github.com/sphinx-bootstrap-theme/README.html
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel

%description
This Sphinx theme integrates the Bootstrap CSS / JavaScript framework with
various layout options, hierarchical menu navigation, and mobile-friendly
responsive design. It is configurable, extensible, and can use any number of
different Bootswatch CSS themes.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This Sphinx theme integrates the Bootstrap CSS / JavaScript framework with
various layout options, hierarchical menu navigation, and mobile-friendly
responsive design. It is configurable, extensible, and can use any number of
different Bootswatch CSS themes.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sphinx_bootstrap_theme

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.8.1-4.mga10
+ Revision: 2239013
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 0.8.1-3.mga10
+ Revision: 2155881
- rebuild for python3.13

* Wed Dec 20 2023 tv <tv> 0.8.1-2.mga10
+ Revision: 2020183
- Rebuild for python 3.12

* Thu Sep 08 2022 neoclust <neoclust> 0.8.1-1.mga9
+ Revision: 1885632
- New version  0.8.1

* Wed Mar 23 2022 umeabot <umeabot> 0.8.0-3.mga9
+ Revision: 1822799
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 tv <tv> 0.8.0-2.mga9
+ Revision: 1775489
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Fri Feb 04 2022 mrambo3501 <mrambo3501> 0.8.0-1.mga9
+ Revision: 1771356
- version 0.8.0

* Sat Mar 20 2021 neoclust <neoclust> 0.7.1-4.mga9
+ Revision: 1706278
- Rebuild against python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.7.1-3.mga8
+ Revision: 1534127
- Mageia 8 Mass Rebuild

* Fri Sep 27 2019 daviddavid <daviddavid> 0.7.1-2.mga8
+ Revision: 1447448
- rebuild for python3.8

* Fri Jul 19 2019 shlomif <shlomif> 0.7.1-1.mga8
+ Revision: 1422996
- pyp2rpm

